%define module 	XML-Node
%define version 0.11
%define release 5mdk

Summary: Node-based XML parsing: an simplified interface to XML::Parser
Name: 		perl-%{module}
Version: 	%{version}
Release: 	%{release}
License: 	Artistic
Group:		Development/Perl
Source0:	%{module}-%{version}.tar.bz2
Url:		http://www.cpan.org
BuildRequires:	perl-devel
Requires:	perl
BuildRequires:	perl-XML-Parser
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot
BuildArch:	noarch


%description
Using XML::Node, you can easily ignore the parts of XML files that you
are not interested in, thus helping in simplify Perl scripts
significantly.

%prep
%setup -q  -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor PREFIX=%{_prefix} 
%{__make}


%install
rm -rf $RPM_BUILD_ROOT
%{__make} PREFIX=$RPM_BUILD_ROOT%{_prefix} install

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README MANIFEST Changes
%{_mandir}/*/*
%{perl_vendorlib}/XML/*

%changelog
* Wed Jun 30 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.11-5mdk
- rebuild

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.11-4mdk
- rebuild for new auto{prov,req}

* Wed Jan 29 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.11-3mdk
- enhanced summary & description
- fix license ("This program is free software; you can redistribute it
  and/or modify it under the same terms as Perl itself")

* Wed Jul 10 2002 Pixel <pixel@mandrakesoft.com> 0.11-2mdk
- rebuild for perl 5.8.0

* Mon Mar 04 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.11-1mdk
- 0.11

* Mon Jul 16 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.10-2mdk
- fixed by Christian Zoffoli <czoffoli@linux-mandrake.com> :
	- BuildRequires:	perl-devel >= 5.6
	- Requires:	perl >= 5.6

* Mon Feb 19 2001 Christian Zoffoli <czoffoli@linux-mandrake.com> 0.10-1mdk
- First Mandrake Release

